Skip to main content
POST
/
v1
/
collections
curl --request POST \
  --url https://api.pixellabsai.app/v1/collections \
  --header 'Authorization: Bearer pixel_live_abc123def456' \
  --header 'Content-Type: application/json' \
  --data '{
    "name": "Cyberpunk Warriors",
    "symbol": "CYBER",
    "description": "AI-generated cyberpunk warrior collection featuring futuristic samurai and neon aesthetics",
    "image": "https://arweave.net/abc123def456ghi789jkl012mno345pqr678stu901vwx234yz",
    "royalty": 0.075,
    "maxSupply": 10000
  }'
{
  "collectionId": "col_9h8i7j6k5l4m",
  "collectionAddress": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
  "metadataAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "transactionSignature": "3KXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnb",
  "status": "confirmed",
  "createdAt": "2026-03-16T14:25:30Z"
}

Authorization

Authorization
string
required
Bearer token. Format: Bearer <token>

Body Parameters

name
string
required
Collection name. Max 32 characters.
symbol
string
required
Collection symbol. Max 10 characters.
description
string
Collection description. Max 500 characters.
image
string
required
Collection image URL or Arweave URI.
royalty
number
default:"0.05"
Creator royalty percentage. Range: 0.0 - 0.1 (0% - 10%)
maxSupply
number
Maximum number of NFTs in collection. Leave empty for unlimited.

Response

collectionId
string
Unique collection identifier. Format: col_<12 chars>
collectionAddress
string
Solana collection mint address (base58)
metadataAddress
string
Collection metadata account address (base58)
transactionSignature
string
Solana transaction signature (base58)
status
string
Collection status. Values: pending, confirmed, failed
createdAt
string
ISO 8601 timestamp of creation
curl --request POST \
  --url https://api.pixellabsai.app/v1/collections \
  --header 'Authorization: Bearer pixel_live_abc123def456' \
  --header 'Content-Type: application/json' \
  --data '{
    "name": "Cyberpunk Warriors",
    "symbol": "CYBER",
    "description": "AI-generated cyberpunk warrior collection featuring futuristic samurai and neon aesthetics",
    "image": "https://arweave.net/abc123def456ghi789jkl012mno345pqr678stu901vwx234yz",
    "royalty": 0.075,
    "maxSupply": 10000
  }'
{
  "collectionId": "col_9h8i7j6k5l4m",
  "collectionAddress": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
  "metadataAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "transactionSignature": "3KXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnb",
  "status": "confirmed",
  "createdAt": "2026-03-16T14:25:30Z"
}